changeset 579:05a608d26600

Delete man pages (they take up almost 2 megs) and consolidate some code.
author Rob Landley <rob@landley.net>
date Sun, 11 Jan 2009 03:16:17 -0600
parents 715c94bd059e
children 90bea985c98e
files mini-native.sh
diffstat 1 files changed, 6 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Fri Jan 09 22:40:15 2009 -0600
+++ b/mini-native.sh	Sun Jan 11 03:16:17 2009 -0600
@@ -32,6 +32,11 @@
 
 cp -r "${SOURCES}/native/." "${TOOLS}/" || dienow
 
+if [ -z "${NATIVE_TOOLSDIR}" ]
+then
+  sed -i -e 's@/tools/@/usr/@g' "${TOOLS}/sbin/init.sh" || dienow
+fi
+
 # Install Linux kernel headers.
 
 setupfor linux
@@ -101,11 +106,6 @@
 
 cleanup busybox
 
-if [ -z "${NATIVE_TOOLSDIR}" ]
-then
-  sed -i -e 's@/tools/@/usr/@g' "${TOOLS}/sbin/init.sh" || dienow
-fi
-
 if [ -z "$NATIVE_TOOLCHAIN" ]
 then
     # If we're not installing a compiler, delete the headers, static libs,
@@ -285,7 +285,7 @@
 
 # Delete some unneeded files
 
-rm -rf "${TOOLS}"/{info,libexec/gcc/*/*/install-tools}
+rm -rf "${TOOLS}"/{info,man,libexec/gcc/*/*/install-tools}
 
 # End of NATIVE_TOOLCHAIN